We’ve heard reports of sites running into troubles handling the new MasterCard 2-series BIN numbers which started being rolled out in 2016.
If your site accepts credit cards, you need to be able to support these new card numbers.

Zen Cart started being compliant with this 2-series BIN in November 2016 with the release of Zen Cart v1.5.5b.
Users of Zen Cart v1.5.5b and newer are ALREADY compliant.

If you are using Zen Cart v1.5.5a or older, then to support the new MasterCard 2-series BIN card numbers, you will need to apply a small patch.

Patch Details
For sites using Zen Cart v.1.5.5a or older, you will need to replace the /includes/classes/cc_validation.php file with the one from ZC v1.5.5b+ or v1.5.6

Download the raw PHP file contents for cc_validation.php here. (right-click and choose "Save As…", then upload to your site’s server)

Or use the zipped attachment below. Unzip it and upload the cc_validation.php file to your site’s server.

NOTE: While applying this simple patch is a short-term "quick fix", it would be VERY PRUDENT for you to set aside time in the next couple months to do a proper upgrade to a newer Zen Cart version. Running older versions may leave you non-compliant with other ecommerce industry requirements, or leave you incompatible with webserver software upgrade requirements which might mean your store will suddenly break due to PHP version incompatibilities in your older Zen Cart code. Upgrading annually is the best way to avoid compatibility and compliancy issues.

Attached Files



Source link

Contact